> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user profile



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/user/update-user
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/user/update-user:
    post:
      tags:
        - User
      summary: Update user profile
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - accountActiveStatus
                - email
                - fullname
                - userTimeZone
                - user_id
                - username
              type: object
              properties:
                user_id:
                  type: string
                username:
                  type: string
                email:
                  type: string
                userTimeZone:
                  type: string
                fullname:
                  type: string
                accountActiveStatus:
                  type: boolean
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````